DROP TABLE IF EXISTS `gdata_us`;
CREATE TABLE `gdata_us` (
    id INT UNSIGNED NOT NULL AUTO_INCREMENT,
    first_name VARCHAR(32) NOT NULL,
    last_name VARCHAR(32) NOT NULL,
    gender tinyint(1) NOT NULL,
    state CHAR(2) NOT NULL,
    city CHAR(32) NOT NULL,
    street VARCHAR(100) NOT NULL,
    zip CHAR(5) NOT NULL,
    phone CHAR(10) NOT NULL,
    name_street_md5 CHAR(32)  NOT NULL,
    PRIMARY KEY (id),
    UNIQUE KEY name_street_md5(name_street_md5),
    UNIQUE KEY state_id(state, id),
    UNIQUE KEY state_city_id(state, city, id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

